<?php
/**
 * Adds the individual sections, settings, and controls to the theme customizer
 */

function example_customizer( $wp_customize ) {
    $wp_customize->add_section(
        'example_section_one',
        array(
            'title' => 'Graphics',
            'description' => 'This is a settings section.',
            'priority' => 10,
        )
    );


$wp_customize->add_setting(
    'logo_placement',
    array(
        'default' => 'left',
    )
);
 
$wp_customize->add_control(
    'logo_placement',
    array(
        'type' => 'radio',
        'label' => 'Logo Placement',
        'section' => 'example_section_one',
        'choices' => array(
            'left' => 'Left',
            'right' => 'Right',
            'center' => 'Center',
        ),
    )
);


$wp_customize->add_setting( 'img-upload' );
 
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'img-upload',
        array(
            'label' => 'Logo Upload',
            'section' => 'example_section_one',
            'settings' => 'img-upload'
        )
    )
);


$wp_customize->add_setting( 'header-upload' );
 
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'header-upload',
        array(
            'label' => 'Header Background',
            'section' => 'example_section_one',
            'settings' => 'header-upload'
        )
    )
);


$wp_customize->add_setting( 'button-upload' );
 
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'button-upload',
        array(
            'label' => 'Button Upload',
            'section' => 'example_section_one',
            'settings' => 'button-upload'
        )
    )
);


$wp_customize->add_setting(
    'header-background-color',
    array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'header-background-color',
        array(
            'label' => 'Header Background Color',
            'section' => 'colors',
            'settings' => 'header-background-color'
        )
    )
);


$wp_customize->add_setting(
    'header-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'header-text-color',
        array(
            'label' => 'Header Text Color',
            'section' => 'colors',
            'settings' => 'header-text-color'
        )
    )
);


$wp_customize->add_setting(
    'mainmenu-background-color',
    array(
        'default' => '#2A628C',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'mainmenu-background-color',
        array(
            'label' => 'Top Menu Background Color',
            'section' => 'colors',
            'settings' => 'mainmenu-background-color'
        )
    )
);


$wp_customize->add_setting(
    'mainmenu-text-color',
    array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 

$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'mainmenu-text-color',
        array(
            'label' => 'Top Menu Text Color',
            'section' => 'colors',
            'settings' => 'mainmenu-text-color'
        )
    )
);


$wp_customize->add_setting(
    'mainmenu-highlight-color',
    array(
        'default' => '#347BAF',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'mainmenu-highlight-color',
        array(
            'label' => 'Top Menu Highlight Color',
            'section' => 'colors',
            'settings' => 'mainmenu-highlight-color'
        )
    )
);


$wp_customize->add_setting(
    'content-heading-color',
    array(
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'content-heading-color',
        array(
            'label' => 'Content Heading Background Color',
            'section' => 'colors',
            'settings' => 'content-heading-color'
        )
    )
);

$wp_customize->add_setting(
    'content-heading-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'content-heading-text-color',
        array(
            'label' => 'Content Heading Text Color',
            'section' => 'colors',
            'settings' => 'content-heading-text-color'
        )
    )
);


$wp_customize->add_setting(
    'submenubar-color',
    array(
        'default' => '#2A628C',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'submenubar-color',
        array(
            'label' => 'Content Footer Background Color',
            'section' => 'colors',
            'settings' => 'submenubar-color'
        )
    )
);


$wp_customize->add_setting(
    'submenubar-text-color',
    array(
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'submenubar-text-color',
        array(
            'label' => 'Content Footer Text Color',
            'section' => 'colors',
            'settings' => 'submenubar-text-color'
        )
    )
);





$wp_customize->add_setting(
    'page-color',
    array(
        'default' => '#f7f7f7',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'page-color',
        array(
            'label' => 'Content Page Color',
            'section' => 'colors',
            'settings' => 'page-color'
        )
    )
);


$wp_customize->add_setting(
    'content-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'content-text-color',
        array(
            'label' => 'Content Text Color',
            'section' => 'colors',
            'settings' => 'content-text-color'
        )
    )
);



$wp_customize->add_setting(
    'content-box-color',
    array(
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'content-box-color',
        array(
            'label' => 'Content Box Color',
            'section' => 'colors',
            'settings' => 'content-box-color'
        )
    )
);


$wp_customize->add_setting(
    'content-box-highlight-color',
    array(
        'default' => '#d1d1d1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'content-box-highlight-color',
        array(
            'label' => 'Content Box Hightlight Color',
            'section' => 'colors',
            'settings' => 'content-box-highlight-color'
        )
    )
);


$wp_customize->add_setting(
    'content-box-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        '',
        array(
            'label' => 'Content Box Text Color',
            'section' => 'colors',
            'settings' => 'content-box-text-color'
        )
    )
);









$wp_customize->add_setting(
    'shadow-color',
    array(
        'default' => '#808080',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'shadow-color',
        array(
            'label' => 'Content Shadow Color',
            'section' => 'colors',
            'settings' => 'shadow-color'
        )
    )
);











$wp_customize->add_setting(
    'footer-background-color',
    array(
        'default' => '#262626',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'footer-background-color',
        array(
            'label' => 'Footer Background Color',
            'section' => 'colors',
            'settings' => 'footer-background-color'
        )
    )
);


$wp_customize->add_setting(
    'footer-text-color',
    array(
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'footer-text-color',
        array(
            'label' => 'Footer Text Color',
            'section' => 'colors',
            'settings' => 'footer-text-color'
        )
    )
);


$wp_customize->add_setting(
    'sidebar-heading-color',
    array(
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidebar-heading-color',
        array(
            'label' => 'Sidebar Heading Background Color',
            'section' => 'colors',
            'settings' => 'sidebar-heading-color'
        )
    )
);

$wp_customize->add_setting(
    'sidebar-heading-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidebar-heading-text-color',
        array(
            'label' => 'Sidebar Heading Text Color',
            'section' => 'colors',
            'settings' => 'sidebar-heading-text-color'
        )
    )
);


$wp_customize->add_setting(
    'sidebar-page-color',
    array(
        'default' => '#f7f7f7',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidebar-page-color',
        array(
            'label' => 'Sidebar Page Color',
            'section' => 'colors',
            'settings' => 'sidebar-page-color'
        )
    )
);


$wp_customize->add_setting(
    'sidebar-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
 
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'sidebar-text-color',
        array(
            'label' => 'Sidebar Text Color',
            'section' => 'colors',
            'settings' => 'sidebar-text-color'
        )
    )
);


$wp_customize->add_setting(
    'button-color',
    array(
        'default' => '#2A628C',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'button-color',
        array(
            'label' => 'Button Background Color',
            'section' => 'colors',
            'settings' => 'button-color'
        )
    )
);


$wp_customize->add_setting(
    'button-text-color',
    array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'button-text-color',
        array(
            'label' => 'Button Text Color',
            'section' => 'colors',
            'settings' => 'button-text-color'
        )
    )
);


$wp_customize->add_setting(
    'code-color',
    array(
        'default' => '#FFDE79',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'code-color',
        array(
            'label' => 'Code Background Color',
            'section' => 'colors',
            'settings' => 'code-color'
        )
    )
);


$wp_customize->add_setting(
    'code-text-color',
    array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'code-text-color',
        array(
            'label' => 'Code Text Color',
            'section' => 'colors',
            'settings' => 'code-text-color'
        )
    )
);


$wp_customize->add_setting(
    'ctr-color',
    array(
        'default' => '#2a628c',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'ctr-color',
        array(
            'label' => 'CTR Background Color',
            'section' => 'colors',
            'settings' => 'ctr-color'
        )
    )
);


$wp_customize->add_setting(
    'ctr-text-color',
    array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'ctr-text-color',
        array(
            'label' => 'CTR Text Color',
            'section' => 'colors',
            'settings' => 'ctr-text-color'
        )
    )
);


$wp_customize->add_setting(
    'search-box-color',
    array(
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'search-box-color',
        array(
            'label' => 'Search Box Background Color',
            'section' => 'colors',
            'settings' => 'search-box-color'
        )
    )
);

$wp_customize->add_setting(
    'border-color',
    array(
        'default' => '#C0C0C0',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);


$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'border-color',
        array(
            'label' => 'Border Color',
            'section' => 'colors',
            'settings' => 'border-color'
        )
    )
);



}
add_action( 'customize_register', 'example_customizer' );


function SearchFilter($query) {
if ($query->is_search) {
$query->set('post_type', 'post');
}
return $query;
}

add_filter('pre_get_posts','SearchFilter');

$defaults = array(
  'default-color'          => '#ffffff',
  'default-image'          => '',
  'wp-head-callback'       => '_custom_background_cb',
  'admin-head-callback'    => '',
  'admin-preview-callback' => ''
);
add_theme_support( 'custom-background', $defaults );

add_theme_support( 'title-tag' );


// Numbered Pagination
if ( !function_exists( 'wpex_pagination' ) ) {
  
  function wpex_pagination() {
    
    $prev_arrow = is_rtl() ? '&rarr;' : '&larr;';
    $next_arrow = is_rtl() ? '&larr;' : '&rarr;';
    
    global $wp_query;
    $total = $wp_query->max_num_pages;
    $big = 999999999; // need an unlikely integer
    if( $total > 1 )  {
       if( !$current_page = get_query_var('paged') )
         $current_page = 1;
       if( get_option('permalink_structure') ) {
         $format = 'page/%#%/';
       } else {
         $format = '&paged=%#%';
       }
      echo paginate_links(array(
        'base'      => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
        'format'    => $format,
        'current'    => max( 1, get_query_var('paged') ),
        'total'     => $total,
        'mid_size'    => 3,
        'type'       => 'list',
        'prev_text'    => $prev_arrow,
        'next_text'    => $next_arrow,
       ) );
    }
  }
  
}

register_sidebar( array(
 'name' => 'Sidebar Right',
 'id' => 'sidebar-right',
 'description' => 'Appears in the sidebar right area',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );

register_sidebar( array(
 'name' => 'Footer Sidebar 1',
 'id' => 'footer-sidebar-1',
 'description' => 'Appears in the footer area',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );
 register_sidebar( array(
 'name' => 'Footer Sidebar 2',
 'id' => 'footer-sidebar-2',
 'description' => 'Appears in the footer area',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );
 register_sidebar( array(
 'name' => 'Footer Sidebar 3',
 'id' => 'footer-sidebar-3',
 'description' => 'Appears in the footer area',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );
 register_sidebar( array(
 'name' => 'Footer Sidebar 4',
 'id' => 'footer-sidebar-4',
 'description' => 'Spans footer 1,2,3',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );

  register_sidebar( array(
 'name' => 'Header Area',
 'id' => 'header-area',
 'description' => 'Appears below main menu',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );


  register_sidebar( array(
 'name' => 'Homepage Header',
 'id' => 'homepage-header',
 'description' => 'Appears on home page',
 'before_widget' => '<aside id="%1$s" class="widget %2$s">',
 'after_widget' => '</aside>',
 'before_title' => '<h3 class="widget-title">',
 'after_title' => '</h3>',
 ) );


add_filter('widget_text', 'do_shortcode');


if (isset($_GET['activated']) && is_admin()){

        $new_page_title = 'Codes';
        $new_page_content = '[codes]';
        $new_page_template = ''; //ex. template-custom.php. Leave blank if you don't want a custom page template.

        //don't change the code bellow, unless you know what you're doing

        $page_check = get_page_by_title($new_page_title);
        $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish',
                'post_author' => 1,
        );
        if(!isset($page_check->ID)){
                $new_page_id = wp_insert_post($new_page);
                if(!empty($new_page_template)){
                        update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
                }
        }


        $new_page_title = 'Offers';
        $new_page_content = '[offers]';
        $new_page_template = ''; //ex. template-custom.php. Leave blank if you don't want a custom page template.

        //don't change the code bellow, unless you know what you're doing

        $page_check = get_page_by_title($new_page_title);
        $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish',
                'post_author' => 1,
        );
        if(!isset($page_check->ID)){
                $new_page_id = wp_insert_post($new_page);
                if(!empty($new_page_template)){
                        update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
                }
       }


        $new_page_title = 'Home';
        $new_page_content = '[homepage]';
        $new_page_template = ''; //ex. template-custom.php. Leave blank if you don't want a custom page template.

        //don't change the code bellow, unless you know what you're doing

        $page_check = get_page_by_title($new_page_title);
        $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish',
                'post_author' => 1,
        );
        if(!isset($page_check->ID)){
                $new_page_id = wp_insert_post($new_page);
                if(!empty($new_page_template)){
                        update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
                }
        }


        $new_page_title = 'Amazon';
        $new_page_content = '[amazon]';
        $new_page_template = ''; //ex. template-custom.php. Leave blank if you don't want a custom page template.

        //don't change the code bellow, unless you know what you're doing

        $page_check = get_page_by_title($new_page_title);
        $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish',
                'post_author' => 1,
        );
        if(!isset($page_check->ID)){
                $new_page_id = wp_insert_post($new_page);
                if(!empty($new_page_template)){
                        update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
                }
        }


}
?>